complexType "CreditLimit"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 8 elements
Defined: | globally in fpml-pretrade-processes-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | limitId?, primaryAssetClass?, productType*, productId*, currency?, tenor?, limitApplicable*, expirationDate?
</...>

Content Model Elements (8):

  currency (defined in CreditLimit complexType), expirationDate (defined in CreditLimit complexType), limitApplicable, limitId, | primaryAssetClass, productId (defined in Product.model group), productType (defined in Product.model group), tenor

Known Direct Subtypes (1):

  CreditLimitExtended

All Direct / Indirect Based Elements (2):

  creditLimit (defined in CreditLimitInformationExtended complexType),
  creditLimit (in creditLimitInformation in creditLimitReport)

Known Usage Locations

- In derivations of other global types (1):
  CreditLimitExtended (as extension base)
- As direct type of elements (1):
  creditLimit (in creditLimitInformation in creditLimitReport)

XML Source (see within schema source)

<xsd:complexType name="CreditLimit"> <xsd:sequence> <xsd:element minOccurs="0" name="limitId" type="LimitId"/> <xsd:group ref="Product.model"/> <xsd:element minOccurs="0" name="currency" type="Currency"/> <xsd:element minOccurs="0" name="tenor" type="Period"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="limitApplicable" type="LimitApplicable"/> <xsd:element minOccurs="0" name="expirationDate" type="xsd:dateTime"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/8)
currency

  Type: | Currency, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="currency" type="Currency"/>

expirationDate

  Type: | xsd:dateTime, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="expirationDate" type="xsd:dateTime"/>

limitApplicable

  Type: | LimitApplicable, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="limitApplicable" type="LimitApplicable"/>

limitId

  Type: | LimitId, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="limitId" type="LimitId"/>

tenor

  Type: | Period, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="tenor" type="Period"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.